package Aggregation;

import PrologDB.Tuple;

/** use for integer aggregations
 */
public class Count extends Reducer {
    int agg;
            
    public Count(String outFieldName) {
       super(outFieldName);
       reset();
    }

    @Override
    public void add(Tuple t) {
        agg++;
    }

    public String[] getAccumulated() {
        String[] result = new String[1];
        result[0]= agg+"";
        return result;
    }

    @Override
    public void reset() {
        agg = 0;
    }
}
