package MDL;

import MDLUtilities.Marquee1In_1Out;
import PrologDB.DB;
import java.io.File;


// translates a violet class diagram into a schema
public class Violet2OOSchema extends Boot.MDELite.Common {

    public static void main(String... args) {
        // Step 1: standard marquee processing
        Marquee1In_1Out mark = new Marquee1In_1Out(Violet2OOSchema.class,
                ".class.violet", ".ooschema.pl", args);
        String inputFileName = mark.getInputFileName();
        String outputFileName = mark.getOutputFileName();
        String AppName = mark.getLongAppName();
        
        // Step 2: straightline code
        DB vpldb = Violett.ClassParser.process(args).db;
        Violett.ClassConform.check(vpldb);
        Boot.MDELite.vpl2OOSchema.process(vpldb).outputSchema(outputFileName);
        System.out.format("%s produced\n",outputFileName);
        
//        Violett.ClassParser.main(inputFileName);
//        String produced = AppName+".vpl.pl";
//        Violett.ClassConform.main(produced);
//        Boot.MDELite.vpl2OOSchema.main(produced, outputFileName);
//        System.out.format("%s produced\n",outputFileName);  
    }
}

