package Parsing.DBPrimitives.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * table token "table"
 */
public class AbsTaBle extends FixedStringToken {

    public static final String tok = "abs_table";

    /**
     * Standard constructor
     */
    public AbsTaBle() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- LineToParse
     */
    public AbsTaBle(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public AbsTaBle klone(LineToParse l) {
        return new AbsTaBle(l);
    }
}
