package Parsing.DBPrimitives.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * OODBase is "dbase" token
 */
public class DBase extends FixedStringToken {

    public static final String tok = "dbase";

    /**
     * Standard constructor
     */
    public DBase() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public DBase(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public DBase klone(LineToParse l) {
        return new DBase(l);
    }
}
