package Parsing.DBPrimitives.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * OODB is "oodb" token
 */
public class OODB extends FixedStringToken {

    public static final String tok = "oodb";

    /**
     * Standard constructor
     */
    public OODB() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public OODB(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public OODB klone(LineToParse l) {
        return new OODB(l);
    }
}
