package Parsing.DBPrimitives.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * subtable token "subtable"
 */
public class SubTaBle extends FixedStringToken {

    public static final String tok = "subtable";

    /**
     * Standard constructor
     */
    public SubTaBle() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public SubTaBle(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public SubTaBle klone(LineToParse l) {
        return new SubTaBle(l);
    }
}
