package Parsing.TBPrims.SkipTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * TBToken is "spec" token
 */
public class TBToken extends FixedStringToken {

    public static final String tok = "tb";

    /**
     * Standard constructor
     */
    public TBToken() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public TBToken(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public TBToken klone(LineToParse l) {
        return new TBToken(l);
    }
}
