package LectureExamples;

import org.junit.Test;

public class ConnConformTest {
    static final String correct = "test/LectureExamples/Correct/";
    static final String outTxt = "trash/error.txt";
    static final String errTxt = "trash/error2.txt";
    static final String htmlDir = "trash/ConnDebug";
    
    public ConnConformTest() {
    }

    @Test
    public void exconn() {
        RegTest.Utility.redirectStdOut(outTxt);
        RegTest.Utility.redirectStdErr(errTxt); 

        ConnConform.main(correct+"ex.con.pl");

        RegTest.Utility.done();
        //RegTest.Utility.debugViaHtml("trash/DebugConConform", correct+"ex.con.pl", outTxt, correct+"ex.out.txt");         

        RegTest.Utility.validate(outTxt, correct+"ex.out.txt", false);
        RegTest.Utility.validate(errTxt, correct+"ex.err.txt", false);
    }
    
//    @Test
//    public void exconnWnegation() {
//        RegTest.Utility.redirectStdOut(outTxt);
//        RegTest.Utility.redirectStdErr(errTxt);
//        ConnConformWNegation.main(correct+"ex.con.pl");
//        RegTest.Utility.debugViaHtml(outTxt, correct+"ex.out.txt", "trash/DebugConConform");
//        RegTest.Utility.done();
//        RegTest.Utility.validate(outTxt, correct+"ex.out.txt", false);
//        RegTest.Utility.validate(errTxt, correct+"ex.err.txt", false);
//    }
}
