package Allegory.startrek;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;

///StartL
public class lieutenant extends crewman {

    public String specialty;

    public lieutenant(String id, String fname, String lname, String species, starship onBoard, String specialty) {
       this.id = id;
       this.fname = fname;
       this.lname = lname;
       this.species = species;
       this.onBoard = onBoard;
       this.specialty = specialty;
    }
///StartL

    // constructors used in database loading
    protected lieutenant() {}

    public lieutenant(String id, String fname, String lname, String species, String specialty) {
       this.id = id;
       this.fname = fname;
       this.lname = lname;
       this.species = species;
       this.onBoard = null;
       this.specialty = specialty;
    }

    private lieutenant initFields(Tuple t) {
       id = t.get("id");
       fname = t.get("fname");
       lname = t.get("lname");
       species = t.get("species");
       _onBoard = t.get("onBoard");
       specialty = t.get("specialty");
       return this;
    }

    public static lieutenant make(Tuple t) {
       return new lieutenant().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
       if(!_onBoard.equals("null"))
           onBoard = db.starship.getTuple(_onBoard,er);
    }
    // end of methods used for loading a database

///FinishL
    static final String fmt = "lieutenant(%s,%s,%s,%s,%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,q(fname),q(lname),species,__(onBoard),specialty);
    }
///FinishL
    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,q(fname),q(lname),species,__(onBoard),specialty);
    }

}
