package CD;

import java.io.PrintStream;
import java.util.LinkedList;

public class ConsSchema {

    String name;
    String constraint;

    public ConsSchema(String name, String constraint) {
        this.name = name;
        this.constraint = constraint;
    }
    
    public ConsSchema(LinkedList<String> parsed) {
        name = parsed.removeFirst().trim();
        constraint = parsed.removeFirst().replace("'","`").replace("\"","@").trim();
        constraint = constraint.substring(0,constraint.length()-1);
    }
    
    public String getName() {
        return name;
    }

    public String getConstraint() {
        return constraint;
    }

    public String toString() {
        return String.format("cons(%s,%s).\n",name,constraint);
    }

    public void print(PrintStream out) {
        out.println(this);
    }

    public void print() {
        print(System.out);
    }
}
