package Common;

import PrologDB.Tuple;

public class Bool<Database> extends GTup<Database,Bool> implements Id<Database> {
    boolean value;
    
    public Bool(boolean value) { 
        this.value = value;
    }

    @Override
    public String getId() {
        return value+"";
    }
    
    public boolean value() {
        return value;
    }

    public static Bool make(Tuple t) {
        return new Bool(t.getBool("value"));
    }
    
    @Override
    public void finishTuple(Database db) {
        // do nothing
    }

    @Override
    public String toString() {
        return "int('"+value+"').";
    }

}
