package Common;

import PrologDB.Tuple;

public class Int<Database> extends GTup<Database,Int> implements Id<Database> {
    int value;
    
    public Int(int value) { 
        this.value = value;
    }

    @Override
    public String getId() {
        return value+"";
    }
    
    public int value() {
        return value;
    }

    public static Int make(Tuple t) {
        return new Int(t.getInt("value"));
    }
    
    @Override
    public void finishTuple(Database db) {
        // do nothing
    }

    @Override
    public String toString() {
        return "int('"+value+"').";
    }

}
