package M4;

import CD.CDConform;
import CD.CDSpec;
import MDLUtilities.Marquee1In_1Out;
import PrologDB.DB;
import java.io.FileNotFoundException;


// translates a cdspec file into a png file
public class CDSpec2Png  {
    public static String plantUmlEnd = ".class.plantuml";

    public static void main(String... args) throws FileNotFoundException, Exception {
        // Step 1: standard marquee processing
        Marquee1In_1Out mark = new Marquee1In_1Out(CDSpec2Png.class,CDSpec.cdspecEnd, ".class.png", args);
        String inputFileName = mark.getInputFileName();
        String outputFileName = mark.getOutputFileName();
        String AppName = mark.getAppName();
        String tmpfile = AppName+ plantUmlEnd;
        
        // Step 2: straightline code
        CDSpec cd = CDSpec.read(inputFileName);
        DB cddb = cd.toCD();
        cddb.print("tmp");
        CDConform.check(cddb);
        
        CD.CD2PlantUML.cd2plantuml(cddb, tmpfile);
        M4.PlantUML2Png.main(tmpfile, outputFileName);
        System.out.format("file %s was produced\n",outputFileName);
    }
}

