package M4Parsing.PlantUMLPrims.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * Assoc is "assoc" token
 */
public class EndUML extends FixedStringToken {

    public static final String tok = "@enduml";

    /**
     * Standard constructor
     */
    public EndUML() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public EndUML(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public EndUML klone(LineToParse l) {
        return new EndUML(l);
    }
}
