package M4Parsing.PlantUMLPrims.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * Assoc is "assoc" token
 */
public class Klass extends FixedStringToken {

    public static final String tok = "class";

    /**
     * Standard constructor
     */
    public Klass() {
        super(false);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public Klass(LineToParse l) {
        super(l, false);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public Klass klone(LineToParse l) {
        return new Klass(l);
    }
}
