package M4Parsing.PlantUMLPrims.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * Assoc is "assoc" token
 */
public class RightBrace extends FixedStringToken {

    public static final String tok = "}";
    public static final char endtok = '}';

    /**
     * Standard constructor
     */
    public RightBrace() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public RightBrace(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public RightBrace klone(LineToParse l) {
        return new RightBrace(l);
    }
}
