package M4Parsing.PlantUMLPrims.FixedStrTokens;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * Assoc is "assoc" token
 */
public class Super extends FixedStringToken {

    public static final String tok = "^";

    /**
     * Standard constructor
     */
    public Super() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- line t parse
     */
    public Super(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public Super klone(LineToParse l) {
        return new Super(l);
    }
}
