package Meta4Framework.A;

public class Count<T> implements Reducer<T> {

    int agg;

    public Count() {
        reset();
    }

    @Override
    public void add(T t) {
        agg++;
    }

    @Override
    public Object getAccumulated(int i) {
        return agg;
    }

    @Override
    public void reset() {
        agg = 0;
    }

    @Override
    public int resultCount() {
        return 1;
    }

}
