package Common;

import CD.CDSpec;

///showme
public class SharedDecls {

    public static final String Trash = "trash/";
    public static final String yuml = ".yuml.yuml";
    public static final String cdEnd = ".cd.pl";
    public static final String pngEnd = ".class.png";
    public static final String cdspecEnd = CDSpec.cdspecEnd;
    public static final String errorCDSpecFile = Trash + "error.cdspec.pl";
    public static final String outputCDFile = Trash+"error.cd.pl";
    public static final String plantuml = ".class.plantuml";
    public static String Allegory = "Allegory/";
    public static String slash = "/";
    public static String debugHtml = "CDDebug";

    /**
     * ********************** debugging ***********************
     */
    public static void htmlDebug(String... files) {
        RegTest.Utility.debugViaHtml(Trash + debugHtml, files);
    }

    public static void pumlDebug(String... files) {
        String s[], name, html, o[];
        o = new String[files.length];
        int c = 0;
        for (String f : files) {
            if (f.equals("null")) {
                o[c++] = null;
                continue;
            }
            s = MDLUtilities.Utils.parseFileName(f);
            name = s[2];
            M4.CD2Png.main(f, Trash + name + ".class.png");
            html = Trash + name + ".class.html";
            M4.CD2HTML.main(f, html);
            o[c++] = html;
        }
        RegTest.Utility.debugViaHtml(Trash + "CDDebug", o);
    }
}
///showme
