package Allegory.Star;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

public class yc extends TuPle<Database> {
    @Override
    public String TupleTypeName() { return "yc"; }

    public <TABLE> TABLE applyyc(Function<yc,TABLE> f) { return f.apply(this); }

    public Y cy;
    protected String _cy;  // needed by database loader
    public C yc;
    protected String _yc;  // needed by database loader

    public yc(String id, Y cy, C yc) {
       this.id = id;
       this.cy = cy;
       this.yc = yc;
    }

    // constructors used in database loading
    protected yc() {}

    public yc(String id) {
       this.id = id;
       this.cy = null;
       this.yc = null;
    }

    private yc initFields(Tuple t) {
       id = t.get("id");
       _cy = t.get("cy");
       _yc = t.get("yc");
       return this;
    }

    public static yc make(Tuple t) {
       return new yc().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
       if(!_cy.equals("null"))
           cy = db.Y.getTuple(_cy,er);
       if(!_yc.equals("null"))
           yc = db.C.getTuple(_yc,er);
    }
    // end of methods used for loading a database

    static final String fmt = "yc(%s,%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,__(cy),__(yc));
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,__(cy),__(yc));
    }

}
