package Allegory.Person;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;

public class male extends person {
    @Override
    public String TupleTypeName() { return "male"; }

    public <TABLE> TABLE applymale(Function<male,TABLE> f) { return f.apply(this); }

    public male(String id, String fullName) {
       this.id = id;
       this.fullName = fullName;
    }

    // constructors used in database loading
    protected male() {}

    private male initFields(Tuple t) {
       id = t.get("id");
       fullName = t.get("fullName");
       return this;
    }

    public static male make(Tuple t) {
       return new male().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
    }
    // end of methods used for loading a database

    static final String fmt = "male(%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,q(fullName));
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,q(fullName));
    }

}
