
package Drivers.startrek;

import MDLUtilities.Marquee4Conform;
import PrologDB.DB;
import PrologDB.ErrorReport;
import Violett.ClassConform;

/**
 *
 * @author don
 */
public class ConformST {
    
    public static void main(String... args) {
        // Step 1: Standard marquee processing
        Marquee4Conform mark = new Marquee4Conform(ClassConform.class, ".startrek.pl", args);
        String inputFileName = mark.getInputFileName();

        // Step 2: read database and create error handler
        DB db = DB.read(inputFileName);
        check(db);
    }

    public static void check(DB db) {
        ErrorReport er = new ErrorReport();

        db.StandardConform(er, false);
        er.print(System.err);
    }
    
}
