/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Allegory.Alleg;

import Drivers.Alleg.*;
import static org.junit.Assert.fail;
import org.junit.Test;

public class MainTest {
    static final String correct = "test/Allegory/Alleg/Correct/";
    static final String in = "test/Allegory/Alleg/TestData/x.alleg.pl";
    static final String out = "trash/out.txt";
    
    public MainTest() {
    }
   

    
    @Test
    public void Main(){
        RegTest.Utility.redirectStdOut(out);
        try {
           Drivers.Alleg.Driver.main(in,out);
        } catch (Exception e) {
            fail();
        }
        RegTest.Utility.validate(out, correct+"x.txt", false);
    }
    
    @Test
    public void Query(){
        RegTest.Utility.redirectStdOut(out);
        try {
           Drivers.Alleg.Driver.Query(in,out);
        } catch (Exception e) {
            fail();
        }
        RegTest.Utility.validate(out, correct+"query.txt", false);
    }
    
    @Test
    public void Constraints(){
        RegTest.Utility.redirectStdOut(out);
        try {
           Drivers.Alleg.Driver.Constraints(in,out);
        } catch (Exception e) {
            fail();
        }
        RegTest.Utility.validate(out, correct+"cons.txt", false);
    }
    
    @Test
    public void NewClass() { 
        RegTest.Utility.redirectStdOut(out);
        try {
          Drivers.Alleg.GroupByTests.main(in,out);
        } catch (Exception e) {
            fail();
        }
        RegTest.Utility.validate(out, correct+"nc.txt", false);
    }
    
    @Test
    public void AncestryEx() { 
        RegTest.Utility.redirectStdOut(out);
        try {
          Drivers.Alleg.AncestryEx.main(in,out);
        } catch (Exception e) {
            fail();
        }
        RegTest.Utility.validate(out, correct+"an.txt", false);
    }
    
}
