package Aggregation;

import PrologDB.Tuple;

/** use for integer aggregations
 */
public class Average extends Reducer {
    double agg;
    double count;
    String inFieldName;
            
    public Average(String outFieldName, String inFieldName) {
       super(outFieldName);
       this.inFieldName = inFieldName;
       reset();
    }

    @Override
    public void add(Tuple t) {
        agg = agg + Double.parseDouble(t.get(inFieldName));
        count++;
    }

    public String[] getAccumulated() {
        String[] result = new String[1];
        result[0]= (agg/count)+"";
        return result;
    }

    @Override
    public void reset() {
        agg = 0;
        count = 0;
    }
}
