package MDL;

import MDLUtilities.Marquee2In_0Out;
import PrologDB.DB;


public class DBEquals {
    
    public static void main(String... args) {
            // Step 1: standard marquee processing
        Marquee2In_0Out mark = new Marquee2In_0Out(DBEquals.class, ".pl", ".pl", args);
        String inputFileName0 = mark.getInputFileName();
        String inputFileName1 = mark.getInputFileName1();
        
        // Step 2:  read in both files
        DB db0 = DB.read(inputFileName0);
        DB db1 = DB.read(inputFileName1);
        
        if (!(db0.equals(db1))) {
            String msg = String.format("Databases (%s) and (%s) are not the same",inputFileName0, inputFileName1); 
            throw new RuntimeException(msg);
        }
    }
    
}
