package MDL;

public class MakeDB extends Boot.MDELite.Common {
    static final String schemaPl = ".schema.pl";
    static final String pl = ".pl";

    public static void main(String... args) {
        if (args.length!=2) 
            marquee("not enough arguments");
        if (!args[0].contains("."))
            args[0]=args[0]+schemaPl;
        if (!args[0].endsWith(schemaPl))
            marquee("first argument not correct");
        if (args[1].contains("."))
            marquee("second argument not correct");
        String from = args[0];
        String to   = args[1]+"."+from.replace(schemaPl, "")+pl;
        MDLUtilities.Utils.copyFile(from, to);
        System.out.println("Done! "+to+ " created.");
    }
    
    public static void marquee(String err) {
        if (err!=null)
            System.out.println(err);
        System.out.format("Usage: %s <schema> <dbname>\n", MakeDB.class.getName());
        System.out.format("       <schema> is X.schema.pl or X\n");
        System.out.format("       <dbname> is Y\n");
        System.out.format("output: Y.X.pl (an empty database)");
        System.exit(1);
    }
}

