package Parsing.YumlPrimitives.Choose;

import Parsing.YumlPrimitives.FixedSave.Diamond;
import Parsing.GeneralPrimitives.SaveTokens.Nothing;
import Parsing.GeneralPrimitives.Optionals.Choose1;
import Parsing.LineParsers.LineToParse;
import Parsing.GeneralPrimitives.Token;
import Parsing.YumlPrimitives.FixedSave.Hat;
import Parsing.YumlPrimitives.FixedSave.Lss;
import Parsing.YumlPrimitives.FixedSave.PlusPlus;

/**  Yuml token: choose1( diamond, plusplus, hat, lss, nothing ) */
public class End1 extends Choose1 {
    private static Token[] sequence = {new Diamond(), new PlusPlus(), new Hat(), new Lss(), new Nothing()};
    
    /** Standard constructor */
    public End1() {
        super(sequence);
    }
    
    /** Standard constructor with line to parse
     * @param l -- LineToParse
     */
    public End1(LineToParse l) {
        super(l);
    }
}
