/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Parsing.YumlPrimitives.FixedSave;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * Yuml Token : Diamond is less-than-greater-than
 */
public class Diamond extends FixedStringToken {

    public static final String tok = "<>";

    /**
     * Standard constructor
     */
    public Diamond() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- LineToParse
     */
    public Diamond(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public Diamond klone(LineToParse l) {
        return new Diamond(l);
    }
}
