package Parsing.YumlPrimitives.FixedSave;

import Parsing.GeneralPrimitives.SaveTokens.FixedStringToken;
import Parsing.LineParsers.LineToParse;

/**
 * Yuml token "^"
 */
public class Hat extends FixedStringToken {

    public static final String tok = "^";

    /**
     * Standard constructor
     */
    public Hat() {
        super(true);
    }

    /**
     * Standard constructor with line to parse
     *
     * @param l -- LineToParse
     */
    public Hat(LineToParse l) {
        super(l, true);
    }

    @Override
    public String getEmsg() {
        return tok;
    }

    @Override
    public String getTokenString() {
        return tok;
    }

    @Override
    public Hat klone(LineToParse l) {
        return new Hat(l);
    }
}
