package DML.PrologDB;

import org.junit.Test;


public class ComplexDBExtendTest extends CommonTst {
    
    // a "extend" test is a programmatic creation of a DB schema
    // from an existing DB schema.  (This schema MUST be flattened).
    // It also is an attempt to programmatically extend a DB.
    // So in all of the examples below, a DB (and its schema)
    // is extended.

    public ComplexDBExtendTest() {
    }

    // complex because it has inheritance declaration
    
    @Test
    public void c() {
       genericExtend("c.complex.pl");
    }
    
    @Test
    public void h() {
        genericExtend("h.hierarchy.pl");
    }
    
    @Test
    public void i() {
        genericExtend("i.inh.pl");
    }
}
