package MDL;

import org.junit.Test;
import static org.junit.Assert.*;

public class InstOfTest {

    static String testdata = "test/MDL/TestData/";
    static String correct = "test/MDL/Correct/";
    static String trash = "trash/";

    public InstOfTest() {
    }

    void doitErr(String filename) {
        String outfile = trash + filename + ".txt";
//        String errfile = trash + filename + "err.txt";
        String correctfile = correct + filename + ".txt";
//        String correcterrfile = correct + filename + "err.txt";
        RegTest.Utility.redirectStdOut(outfile);
        RegTest.Utility.redirectStdErr(outfile);
        String schema = testdata + filename + ".schema.pl";
        String dbname = testdata + "db." + filename + ".pl";
        try {
            InstOf.main(schema, dbname);
            RegTest.Utility.validate(outfile, correctfile, false);
        } catch (Exception e) {
            System.out.println(e.getMessage());
            RegTest.Utility.validate(outfile, correctfile, false);
        }
    }

    @Test
    public void borba1() {
        doitErr("borba1");  // technically no errors
    }
    
    @Test
    public void borba11() {
        doitErr("borba11");  // class bc in database called l1 in schema
    }

}
