package Allegory.Star;

import PrologDB.Tuple;
import PrologDB.ErrorReport;
import java.util.function.Function;
import Meta4Framework.TuPle;

public class X extends TuPle<Database> {
    @Override
    public String TupleTypeName() { return "X"; }

    public <TABLE> TABLE applyX(Function<X,TABLE> f) { return f.apply(this); }

    public String x1;

    public X(String id, String x1) {
       this.id = id;
       this.x1 = x1;
    }

    // constructors used in database loading
    protected X() {}

    private X initFields(Tuple t) {
       id = t.get("id");
       x1 = t.get("x1");
       return this;
    }

    public static X make(Tuple t) {
       return new X().initFields(t);
    }

    @Override
    public void finishTuple(Database db, ErrorReport er) {
    }
    // end of methods used for loading a database

    static final String fmt = "X(%s,%s).\n";

    @Override
    public String toString() {
       return String.format(fmt,id,x1);
    }

    @Override
    public String toString(String fmt) {
       return String.format(fmt,id,x1);
    }

    public CTable xc() {
       CTable result = new CTable(db);
       for(xc r : db.xc.tuples()) {
          if(r.cx==this && !result.contains(r.xc)) {
             result.add(r.xc);
          }
       }
       return result; // nmleft
    }

}
