package M4;

import CD.CDConform;
import CD.CDSpec;
import MDLUtilities.Marquee1In_1Out;
import PrologDB.DB;


// translates a violet class diagram into a schema
public class CDSpec2CD  {

    public static void main(String... args) {
        // Step 1: standard marquee processing
        Marquee1In_1Out mark = new Marquee1In_1Out(CDSpec2CD.class,
                CDSpec.cdspecEnd, ".cd.pl", args);
        String inputFileName = mark.getInputFileName();
        String outputFileName = mark.getOutputFileName();
        String AppName = mark.getLongAppName();
        
        // Step 2: straightline code
        CDSpec cd = CDSpec.read(inputFileName);
        DB db = cd.toCD();
        db.print(outputFileName);
        CDConform.check(db);
    }
}

