package M4Parsing.CDPrims.Patterns;

import Parsing.DBPrimitives.FixedStrTokens.Comma;
import Parsing.GeneralPrimitives.Patterns.Pattern;
import Parsing.GeneralPrimitives.PrimTokens.NatNumber;
import Parsing.GeneralPrimitives.Token;
import Parsing.LineParsers.LineToParse;

/** name token (alpha (alpha|underscore|digit)* */
public class Card extends Pattern {

    /** Standard constructor */
    public Card() {
    }
    
    /** Standard constructor with line to parse
     * @param l -- line to parse
     */
    public Card(LineToParse l) {
        super(l);
    }
    
    @Override
    public Token[] getSequence() {
        if (sequence == null) {
            Token[] s = 
            {new NatNumber(), new Comma(), new NatNumber() };
            sequence = s;
        }
        return sequence;
    }

    @Override
    public Card klone(LineToParse l) {
        return new Card(l);
    }
}
