package DocumentGen;

import MDLUtilities.DocumentGenerator;
import java.io.File;
import org.junit.BeforeClass;
import org.junit.Test;

public class BuildDocTest extends DocumentGenerator {

    static String trash = "xxTrash/";

    @BeforeClass
    public static void setUpClass() {
        new File("Docs").mkdir();
    }

    @Test
    public void index() {
        main("DocGen/index.htm", "Docs/index.html", "");
    }
    
    @Test
    public void cdspec() {
        main("DocGen/CDSpec.htm", "Docs/CDSpec.html", "");
    }
    
    @Test
    public void debuggingTools() {
        main("DocGen/DebuggingTools.htm", "Docs/DebuggingTools.html", "test/Common/SharedDecls.java");
    }
    
    @Test
    public void Aocl() {
        main("DocGen/Meta4.htm", "Docs/Meta4.html", "DocGen/st/crewman.java",
                                                    "DocGen/st/Database.java",
                                                    "DocGen/st/crewmanTable.java",
                                                    "DocGen/st/lieutenant.java");
    }
    
    @Test
    public void Queries() {
        main("DocGen/WritingQueriesAndConstraints.htm", "Docs/WritingQueriesAndConstraints.html","DocGen/Production/StarTrekAllegory.java");
    }
}
