package Allegory.startrek;

import PrologDB.Tuple;
import java.io.PrintStream;
import java.util.LinkedList;
import Meta4Framework.TaBle;
import java.util.function.Function;
import static Allegory.startrek.Lang.*;

public class asgTable extends TaBle<Database,asg,asgTable> {
    @Override
    public String TupleTypeName() { return "asg"; }

    public <TABLE> TABLE applyasg(Function<asgTable,TABLE> f) { return f.apply(this); }

    // constructors for creating empty or singleton tables
    public asgTable(Database db) {
        this(db,null);
    }

    public asgTable(Database db, asg t) {
        this.db = db;
        initTupleList(t);
    }

    // methods for loading a database
    static asgTable BaseRelation(Database db) {
        asgTable tab = new asgTable(db);
        tab.computedTable = false;
        return tab;
    }

    @Override
    public LinkedList<asg> tuples() {
        return tuples;
    }

    @Override
    public asgTable New() { return new asgTable(db); }

    @Override
    public void makeAndAdd(Tuple t) {
       asg r = new asg(t.get("id"));
       r._hasCrew = t.get("hasCrew");
       r._onBoard = t.get("onBoard");
       add(r);
    }

    @Override
    public boolean deleteFromSubTables(asg t) {
       return false;
    }

    @Override
    public void cascadingDeleteLocal(asg t) {
    }

    @Override
    public void mastHead(PrintStream out) {
        out.println("table(asg,[id,hasCrew:crewman,onBoard:post]).");
    }

    @Override
    public String pformat() { return asg.fmt; }

    @Override
    public String ppformat(boolean local) {
       int  f0=0, f1=0, f2=0;
       for (asg a : local?tuples:tuples()) {
          f0 = Math.max(f0,a.id.length());
          f1 = Math.max(f1,a.hasCrew.id.length());
          f2 = Math.max(f2,a.onBoard.id.length());
       }
       return String.format("asg(!%ds,!%ds,!%ds).\n",f0,f1,f2).replace("!","%");
    }

    public STRINGTable id() {
       STRINGTable st = new STRINGTable(db);
       tuples.forEach(t -> st.add(new STRING(t.id)));
       return st;
    }

   /* the following methods cast a subtable into a supertable */

   /* the following methods filter a supertable into a subtable */

   /* end of filtering methods */

}
