package Parsing.CDSpec;

import CD.CDSpec;
import PrologDB.DB;
import org.junit.Test;

public class CDParseTest extends Common.SharedDecls {
    public static String Correct = "test/Parsing/CDSpec/Correct/";        //"../ATLExample/src/Allegory/Family/";
    public static String TestData = "test/Parsing/CDSpec/TestData/";
    public static String Trash = "trash/";
           
    
    public CDParseTest() { }
    
    @Test
    public void basec() {
        String i = "basec"+cdspecEnd;
        String o = "basec"+cdEnd;
        CDSpec cs = CDSpec.read(TestData+i);
        DB cd = cs.toCD();
        cd.print(Trash+o);
        RegTest.Utility.validate(Trash+o, Correct+o, false);
    }
    
    //@Test
    public void basec2() {
        String i = "basec2"+cdspecEnd;
        String o = "basec2"+cdEnd;
        CDSpec cs = CDSpec.read(TestData+i);
        DB cd = cs.toCD();
        cd.print(Trash+o);
        RegTest.Utility.validate(Trash+o, Correct+"basec.cd.pl", false);
    }


}
